export var LanguagesEnum;
(function (LanguagesEnum) {
    LanguagesEnum["AR"] = "ARABIC";
    LanguagesEnum["FR"] = "FRENCH";
    LanguagesEnum["EN"] = "ENGLISH";
    LanguagesEnum["MN"] = "MANDARIN";
})(LanguagesEnum || (LanguagesEnum = {}));
export var ContinentsEnum;
(function (ContinentsEnum) {
    ContinentsEnum["AFRICA"] = "AFRICA";
    ContinentsEnum["EUROPE"] = "EUROPE";
    ContinentsEnum["AMERICA"] = "AMERICA";
    ContinentsEnum["ASIA"] = "ASIA";
})(ContinentsEnum || (ContinentsEnum = {}));
export const countries = [
    {
        name: 'Morocco',
        continent: ContinentsEnum.AFRICA,
        language: LanguagesEnum.AR,
    },
    {
        name: 'Algeria',
        continent: ContinentsEnum.AFRICA,
        language: LanguagesEnum.AR,
    },
    {
        name: 'Tunisia',
        continent: ContinentsEnum.AFRICA,
        language: LanguagesEnum.AR,
    },
    {
        name: 'Cameron',
        continent: ContinentsEnum.AFRICA,
        language: LanguagesEnum.FR,
    },
    {
        name: 'South Africa',
        continent: ContinentsEnum.AFRICA,
        language: LanguagesEnum.EN,
    },
    {
        name: 'France',
        continent: ContinentsEnum.EUROPE,
        language: LanguagesEnum.FR,
    },
    {
        name: 'Luxembourg',
        continent: ContinentsEnum.EUROPE,
        language: LanguagesEnum.FR,
    },
    {
        name: 'England',
        continent: ContinentsEnum.EUROPE,
        language: LanguagesEnum.EN,
    },
    {
        name: 'Saoudi Arabia',
        continent: ContinentsEnum.ASIA,
        language: LanguagesEnum.AR,
    },
    {
        name: 'Palestine',
        continent: ContinentsEnum.ASIA,
        language: LanguagesEnum.AR,
    },
    {
        name: 'United states',
        continent: ContinentsEnum.AMERICA,
        language: LanguagesEnum.EN,
    },
    {
        name: 'China',
        continent: ContinentsEnum.ASIA,
        language: LanguagesEnum.MN,
    },
];
