import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { OdsDivider, OdsCard } from '@ovhcloud/ods-components/react';
import { ODS_CARD_COLOR } from '@ovhcloud/ods-components';
import { TileBlock } from './tile-block.component';
export const DashboardTile = ({ title, items, ...props }) => (_jsx(OdsCard, { "data-testid": props['data-testid'], className: "w-full flex-col p-[1rem]", color: ODS_CARD_COLOR.neutral, children: _jsxs("div", { className: "flex flex-col w-full", children: [title && (_jsxs(_Fragment, { children: [_jsx("h4", { className: "dashboard-tile-title m-0 text-[--ods-color-heading] text-[20px] leading-[28px] font-bold", children: title }), _jsx(OdsDivider, { spacing: "24" })] })), items.map((item, index) => (_jsxs(React.Fragment, { children: [_jsx(TileBlock, { label: item.label, children: item.value }, item.id), index < items.length - 1 && _jsx(OdsDivider, { spacing: "24" })] }, item.id)))] }) }));
