import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsText } from '@ovhcloud/ods-components/react';
import { Title, Subtitle } from '../../typography';
export const Headers = ({ title, subtitle, description, headerButton, }) => {
    return (_jsxs("div", { className: "flex items-center justify-between", children: [_jsxs("div", { children: [title && _jsx(Title, { children: title }), subtitle && _jsx(Subtitle, { className: "block", children: subtitle }), description && _jsx(OdsText, { preset: "span", children: description })] }), headerButton && _jsx("div", { children: headerButton })] }));
};
export default Headers;
