import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsClipboard, OdsText } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
/** Simple datagrid cell clipboard text formatter applying ODS style */
export function DataGridClipboardCell({ text, }) {
    const { t } = useTranslation('datagrid');
    return (_jsxs(OdsClipboard, { value: text, children: [_jsx("span", { slot: "success-message", children: _jsx(OdsText, { children: t('common_clipboard_success_label') }) }), _jsx("span", { slot: "error-message", children: _jsx(OdsText, { children: t('common_clipboard_error_label') }) })] }));
}
export default DataGridClipboardCell;
