import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsButton, OdsPopover } from '@ovhcloud/ods-components/react';
import { ODS_BUTTON_VARIANT, ODS_ICON_NAME } from '@ovhcloud/ods-components';
import { GuidesHeaderItem } from './guides-header-item.component';
export function GuidesHeader({ label, guides, ovhSubsidiary, getGuideLabel, onGuideClick, }) {
    return (_jsxs(_Fragment, { children: [_jsx("div", { id: "guides-header-trigger", children: _jsx(OdsButton, { slot: 'menu-title', variant: ODS_BUTTON_VARIANT.ghost, icon: ODS_ICON_NAME.book, label: label }) }), _jsx(OdsPopover, { triggerId: "guides-header-trigger", children: Object.keys(guides).map((guide) => (_jsx(GuidesHeaderItem, { guide: guides[guide], href: `${guides[guide].url[ovhSubsidiary]}`, label: getGuideLabel(guides[guide]), onClick: (g) => {
                        if (onGuideClick) {
                            onGuideClick(g);
                        }
                    } }, guide))) })] }));
}
