import { jsx as _jsx } from "react/jsx-runtime";
import { ErrorBanner } from './error.component';
export const defaultProps = {
    error: {
        status: 404,
        data: { message: "Votre requête n'a pas abouti" },
        headers: { 'x-ovh-queryid': '123456789' },
    },
};
const meta = {
    title: 'Templates/Errors',
    decorators: [(story) => _jsx("div", { className: "w-2/3", children: story() })],
    component: ErrorBanner,
    argTypes: {},
    args: defaultProps,
};
export default meta;
