import { jsx as _jsx } from "react/jsx-runtime";
import { ODS_ICON_NAME, ODS_LINK_COLOR, ODS_LINK_ICON_ALIGNMENT, } from '@ovhcloud/ods-components';
import { OdsLink } from '@ovhcloud/ods-components/react';
export var LinkType;
(function (LinkType) {
    LinkType["back"] = "back";
    LinkType["next"] = "next";
    LinkType["external"] = "external";
})(LinkType || (LinkType = {}));
export var IconLinkAlignmentType;
(function (IconLinkAlignmentType) {
    IconLinkAlignmentType["left"] = "left";
    IconLinkAlignmentType["right"] = "right";
})(IconLinkAlignmentType || (IconLinkAlignmentType = {}));
export const Links = ({ label, onClickReturn, type, href, color = ODS_LINK_COLOR.primary, iconAlignment, ...props }) => (_jsx(OdsLink, { href: href, onClick: onClickReturn, color: color, ...(iconAlignment && {
        iconAlignment: ODS_LINK_ICON_ALIGNMENT[iconAlignment],
    }), ...props, ...(type === LinkType.back && { icon: ODS_ICON_NAME.arrowLeft }), ...(type === LinkType.next && { icon: ODS_ICON_NAME.arrowRight }), ...(type === LinkType.external && { icon: ODS_ICON_NAME.externalLink }), label: label }));
export default Links;
