import { useContext, useEffect, useState } from 'react';
import { ShellContext } from '@ovh-ux/manager-react-shell-client';
export const useMe = () => {
    const context = useContext(ShellContext);
    const [me, setMe] = useState(null);
    useEffect(() => {
        setMe(context?.environment?.getUser());
    }, [context?.environment]);
    return { me };
};
