export declare enum LanguagesEnum {
    AR = "ARABIC",
    FR = "FRENCH",
    EN = "ENGLISH",
    MN = "MANDARIN"
}
export declare enum ContinentsEnum {
    AFRICA = "AFRICA",
    EUROPE = "EUROPE",
    AMERICA = "AMERICA",
    ASIA = "ASIA"
}
export type TCountry = {
    name: string;
    continent: ContinentsEnum;
    language: LanguagesEnum;
};
export declare const countries: {
    name: string;
    continent: ContinentsEnum;
    language: LanguagesEnum;
}[];
