import { OvhSubsidiary, IntervalUnitType } from '../../../enumTypes';
export interface PriceProps {
    value: number;
    tax?: number;
    intervalUnit?: IntervalUnitType;
    ovhSubsidiary: OvhSubsidiary;
    isConvertIntervalUnit?: boolean;
    locale: string;
}
export declare const getPrice: (value: number, tax?: number) => number;
export declare const convertIntervalPrice: (price: number, intervalUnit: IntervalUnitType) => number;
export declare const getPriceTextFormatted: (ovhSubsidiary: OvhSubsidiary, locale: string, priceValue: number) => string;
