/// <reference types="react" />
import { TSimpleProps } from './components/SimpleTilesInput.component';
type TProps<T, S = void, G = void> = TSimpleProps<T, S> & {
    group?: {
        by: (item: T) => G;
        label: (group: G, items: T[]) => JSX.Element | string;
        value?: G;
        showAllTab: boolean;
        onChange?: (group: G) => void;
    };
};
export declare const TilesInputComponent: <T, S = void, G = void>({ id, items, value, onInput, label, tileClass, stack, group, }: TProps<T, S, G>) => JSX.Element;
export default TilesInputComponent;
