import React from 'react';
import './translations/translations';
export interface Badge {
    text: string;
}
export interface ImageDetails {
    src?: string;
    alt?: string;
}
export interface CardProps {
    href: string;
    isExternalHref?: boolean;
    hrefLabel?: string;
    img?: ImageDetails;
    texts: {
        title: string;
        description?: string;
        category: string;
    };
    badges?: Badge[];
    hoverable?: boolean;
    onClick?: (event: React.MouseEvent) => void;
    trackingLabel?: string;
}
export declare const Card: React.FC<CardProps>;
