import React from 'react';
import { ODS_BUTTON_VARIANT, ODS_ICON_NAME } from '@ovhcloud/ods-components';
import '../translations/translation';
export interface ActionMenuItem {
    id: number;
    rel?: string;
    download?: string;
    target?: string;
    onClick?: () => void;
    label: string;
    variant?: ODS_BUTTON_VARIANT;
    iamActions?: string[];
    urn?: string;
    className?: string;
}
export interface ActionMenuProps {
    items: ActionMenuItem[];
    isCompact?: boolean;
    icon?: ODS_ICON_NAME;
    variant?: ODS_BUTTON_VARIANT;
    id: string;
    isDisabled?: boolean;
}
export declare const ActionMenu: React.FC<ActionMenuProps>;
export default ActionMenu;
