import React from 'react';
import { HeadersProps } from '../../content';
export type BaseLayoutProps = React.PropsWithChildren<{
    breadcrumb?: React.ReactElement;
    header?: HeadersProps;
    message?: React.ReactElement;
    description?: string;
    subtitle?: string;
    subDescription?: string;
    backLinkLabel?: string;
    hrefPrevious?: string;
    tabs?: React.ReactElement;
    onClickReturn?: () => void;
}>;
export declare const BaseLayout: ({ backLinkLabel, hrefPrevious, onClickReturn, breadcrumb, description, subtitle, subDescription, message, children, header, tabs, }: BaseLayoutProps) => import("react/jsx-runtime").JSX.Element;
