import React from 'react';
import './translations/translations';
export declare const defaultDeleteModalTerminateValue = "TERMINATE";
export type DeleteModalProps = {
    headline: string;
    description?: string;
    deleteInputLabel: string;
    closeModal: () => void;
    isLoading?: boolean;
    onConfirmDelete: () => void;
    error?: string;
    cancelButtonLabel?: string;
    confirmButtonLabel?: string;
    terminateValue?: string;
    isOpen?: boolean;
};
export declare const DeleteModal: React.FC<DeleteModalProps>;
