import React, { PropsWithChildren } from 'react';
type OnboardingLayoutButtonProps = {
    orderButtonLabel?: string;
    orderHref?: string;
    moreInfoHref?: string;
    moreInfoButtonLabel?: string;
    onOrderButtonClick?: () => void;
    onmoreInfoButtonClick?: () => void;
    isActionDisabled?: boolean;
};
export type OnboardingLayoutProps = OnboardingLayoutButtonProps & PropsWithChildren<{
    hideHeadingSection?: boolean;
    title: string;
    description?: React.ReactNode;
    img?: React.ComponentProps<'img'>;
}>;
export declare const OnboardingLayout: React.FC<OnboardingLayoutProps>;
export {};
