import React from 'react';
import './translations/translations';
export type UpdateNameModalProps = {
    headline: string;
    description?: string;
    inputLabel: string;
    defaultValue?: string;
    closeModal: () => void;
    updateDisplayName: (newDisplayName: string) => void;
    isLoading?: boolean;
    error?: string;
    cancelButtonLabel?: string;
    confirmButtonLabel?: string;
    pattern?: string;
    patternMessage?: string;
    isOpen?: boolean;
};
export declare const UpdateNameModal: React.FC<UpdateNameModalProps>;
