import React from 'react';
import { ODS_LINK_COLOR } from '@ovhcloud/ods-components';
export declare enum LinkType {
    back = "back",
    next = "next",
    external = "external"
}
export declare enum IconLinkAlignmentType {
    left = "left",
    right = "right"
}
export interface LinksProps {
    className?: string;
    color?: ODS_LINK_COLOR;
    download?: string;
    label?: string;
    href?: string;
    rel?: string;
    target?: string;
    iconAlignment?: IconLinkAlignmentType;
    type?: LinkType;
    onClickReturn?: () => void;
}
export declare const Links: React.FC<LinksProps>;
export default Links;
