/// <reference types="react" />
import { IcebergFetchParamsV2, fetchIcebergV2 } from '@ovh-ux/manager-core-api';
import { ColumnSort } from '../../components';
interface IcebergV2Hook<T> {
    queryKey: string[];
    defaultSorting?: ColumnSort;
    sort?: (sorting: ColumnSort, data: T[]) => T[];
}
export declare const defaultPageSize = 10;
/**
 * @deprecated use fetchIcebergV2 from @ovh-ux/manager-core-api
 */
export declare const getResourcesIcebergV2: typeof fetchIcebergV2;
export declare function useResourcesIcebergV2<T = unknown>({ route, pageSize, queryKey, defaultSorting, }: IcebergFetchParamsV2 & IcebergV2Hook<T>): {
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV2<T>, unknown>;
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV2<T>, unknown>, Error>>;
    hasNextPage: boolean;
    flattenData: T[];
    isError: boolean;
    isLoading: boolean;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    sorting: import("@tanstack/table-core").ColumnSort;
    error: Error;
    status: "success" | "error" | "pending";
};
export {};
