import { IamCheckResponse, IamInterface } from './iam.interface';
export declare const fetchAuthorizationsCheck: ({ actions, urns, }: {
    actions: string[];
    urns: string[];
}) => Promise<any>;
export declare function useAuthorizationsIam({ actions, urns }: IamInterface): any;
export declare function getAuthorizationCheckUrl(urn: string): string;
export declare const fetchAuthorizationCheck: (actions: string[], urn: string) => Promise<IamCheckResponse>;
export declare function useAuthorizationIam(actions: string[], urn: string, isTrigger?: boolean): {
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<IamCheckResponse, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    isAuthorized: boolean;
    data: IamCheckResponse;
} | {
    error: null;
    isError: false;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<IamCheckResponse, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    isAuthorized: boolean;
    data: IamCheckResponse;
} | {
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<IamCheckResponse, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    isAuthorized: boolean;
    data: IamCheckResponse;
} | {
    error: null;
    isError: false;
    isPending: true;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<IamCheckResponse, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    isAuthorized: boolean;
    data: IamCheckResponse;
} | {
    error: null;
    isError: false;
    isPending: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<IamCheckResponse, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    isAuthorized: boolean;
    data: IamCheckResponse;
};
