export type TProjectStatus = 'creating' | 'deleted' | 'deleting' | 'ok' | 'suspended';
export type PublicCloudProject = {
    access: 'full' | 'restricted';
    creationDate: string;
    description?: string;
    expiration?: string | null;
    iam: {
        displayName?: string;
        id: string;
        tags?: Record<string, string>;
        urn: string;
    };
    manualQuota: boolean;
    orderId: number | null;
    planCode: string;
    projectName: string | null;
    project_id: string;
    status: TProjectStatus;
    unleash: boolean;
};
