import { ApiError, ApiResponse } from '@ovh-ux/manager-core-api';
import { ServiceDetails } from '../services.type';
export declare const getServiceDetailsQueryKey: (resourceName: string) => string[];
export type UseServiceDetailsParams = {
    queryKey?: string[];
    resourceName: string;
};
export declare const useServiceDetails: ({ queryKey, resourceName, }: UseServiceDetailsParams) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<ApiResponse<ServiceDetails>, ApiError>;
