import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsButton, OdsLink, OdsMessage, OdsText, } from '@ovhcloud/ods-components/react';
export function ActionBanner({ message, cta, color, onClick, href, variant, }) {
    return (_jsx(OdsMessage, { color: color, variant: variant, className: "mt-3 flex-row", "data-testid": "actionBanner-message_container", children: _jsxs("div", { className: "sm:flex sm:flex-row sm:justify-between sm:items-center", children: [_jsx(OdsText, { children: _jsx("span", { dangerouslySetInnerHTML: {
                            __html: message,
                        } }) }), onClick && (_jsx(OdsButton, { className: "sm:mt-0 mt-4 sm:ml-4 ml-0", "data-testid": "actionBanner-button", onClick: onClick, label: cta })), href && (_jsx(OdsLink, { "data-testid": "action-banner-link", id: "action-banner-link", className: "sm:mt-0 mt-4 sm:ml-4 ml-0", onClick: onClick, href: href, target: "_blank", children: cta }))] }) }));
}
