import { jsx as _jsx } from "react/jsx-runtime";
import { OdsClipboard } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import './translations';
export const Clipboard = (props) => {
    const { t } = useTranslation('clipboard');
    return (_jsx(OdsClipboard, { ...props, "data-testid": "clipboard", labelCopySuccess: t('clipboard_copy_success'), labelCopy: t('clipboard_copy') }));
};
