import { jsx as _jsx } from "react/jsx-runtime";
import { OdsText } from '@ovhcloud/ods-components/react';
import { ODS_TEXT_PRESET } from '@ovhcloud/ods-components';
import { useTranslation } from 'react-i18next';
/** Simple datagrid cell text formatter applying ODS style */
export function DataGridTextCell({ className, children, }) {
    const { t } = useTranslation('datagrid');
    return (_jsx(OdsText, { preset: ODS_TEXT_PRESET.span, children: children ?? t('common_empty_text_cell') }));
}
export default DataGridTextCell;
