import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useTranslation } from 'react-i18next';
import './translations/region';
import './translations/datacenter';
export const Region = ({ mode = 'region', name, micro, }) => {
    const { t } = useTranslation(mode === 'region' ? 'region' : 'datacenter');
    return _jsx(_Fragment, { children: t(`region_${name}`, { micro }) });
};
