import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Headers } from '../../content';
import { OdsText } from '@ovhcloud/ods-components/react';
import { LinkType, Links, Subtitle } from '../../typography';
import { PageLayout } from '../layout/layout.component';
export const BaseLayout = ({ backLinkLabel, hrefPrevious, onClickReturn, breadcrumb, description, subtitle, subDescription, message, children, header, tabs, }) => (_jsxs(PageLayout, { children: [_jsx("div", { children: breadcrumb }), header && (_jsx("div", { className: "mt-[24px]", children: _jsx(Headers, { ...header }) })), backLinkLabel && (onClickReturn || hrefPrevious) && (_jsx("div", { className: "mb-[16px]", children: _jsx(Links, { "data-testid": "manager-back-link", onClickReturn: onClickReturn, label: backLinkLabel, type: LinkType.back, target: "_self", href: hrefPrevious }) })), description && (_jsx(OdsText, { className: "mb-[16px]", preset: "span", children: description })), message && _jsx("div", { className: "mb-5 max-w-[800px]", children: message }), subtitle && _jsx(Subtitle, { className: "block mb-6", children: subtitle }), subDescription && _jsx(OdsText, { preset: "span", children: subDescription }), _jsx("div", { className: "mb-6", children: tabs }), children] }));
