import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { OnboardingLayout, } from './onboarding.component';
import { Card } from '../../navigation/card/card.component';
import placeholderSrc from './../../../../public/assets/placeholder.png';
export const defaultProps = {
    title: 'Welcome to Onboarding',
    orderHref: 'https://example.com/order',
    orderButtonLabel: 'Order Now',
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.',
    moreInfoHref: 'https://example.com/more-info',
    img: {
        src: placeholderSrc,
    },
    moreInfoButtonLabel: 'Learn More',
    children: (_jsxs(_Fragment, { children: [_jsx(Card, { href: '', texts: {
                    title: 'Test Onboarding 1',
                    description: 'This is the description 1',
                    category: 'WEB',
                } }), _jsx(Card, { href: '', texts: {
                    title: 'Test Onboarding 2',
                    description: 'This is the description 2',
                    category: 'CLOUD',
                } }), _jsx(Card, { href: '', texts: {
                    title: 'Test Onboarding  3',
                    description: 'This is the description 3',
                    category: 'TELECOM',
                } })] })),
};
const meta = {
    title: 'Templates/Onboarding',
    decorators: [(story) => _jsx("div", { children: story() })],
    component: OnboardingLayout,
    argTypes: {},
    args: defaultProps,
};
export default meta;
