import { jsx as _jsx } from "react/jsx-runtime";
import { useUpdateServiceDisplayName, } from '../../../hooks/services';
import { UpdateNameModal, } from './update-name-modal.component';
export const UpdateIamNameModal = ({ onConfirm, resourceName, onSuccess, onError, mutationKey, isLoading, ...props }) => {
    const { updateDisplayName, isPending, error, isError, } = useUpdateServiceDisplayName({ onSuccess, onError, mutationKey });
    return (_jsx(UpdateNameModal, { ...props, isLoading: isPending || isLoading, error: isError ? error?.response?.data?.message : null, updateDisplayName: (displayName) => {
            onConfirm?.();
            updateDisplayName({ resourceName, displayName });
        } }));
};
