import { jsx as _jsx } from "react/jsx-runtime";
export const Title = ({ children, className = '' }) => {
    return (_jsx("div", { className: `${className} m-0 p-0 text-[--ods-color-heading] text-[36px] leading-[45px] font-bold mb-[24px]`, children: children }));
};
export const Subtitle = ({ children, className = '' }) => {
    return (_jsx("div", { className: `${className} m-0 p-0 text-[--ods-color-heading] text-[24px] leading-[32px] font-bold`, children: children }));
};
export default Title;
