export var OvhSubsidiary;
(function (OvhSubsidiary) {
    OvhSubsidiary["ASIA"] = "ASIA";
    OvhSubsidiary["AU"] = "AU";
    OvhSubsidiary["CA"] = "CA";
    OvhSubsidiary["CZ"] = "CZ";
    OvhSubsidiary["DE"] = "DE";
    OvhSubsidiary["ES"] = "ES";
    OvhSubsidiary["FI"] = "FI";
    OvhSubsidiary["FR"] = "FR";
    OvhSubsidiary["GB"] = "GB";
    OvhSubsidiary["IE"] = "IE";
    OvhSubsidiary["IN"] = "IN";
    OvhSubsidiary["IT"] = "IT";
    OvhSubsidiary["LT"] = "LT";
    OvhSubsidiary["MA"] = "MA";
    OvhSubsidiary["NL"] = "NL";
    OvhSubsidiary["PL"] = "PL";
    OvhSubsidiary["PT"] = "PT";
    OvhSubsidiary["QC"] = "QC";
    OvhSubsidiary["SG"] = "SG";
    OvhSubsidiary["SN"] = "SN";
    OvhSubsidiary["TN"] = "TN";
    OvhSubsidiary["US"] = "US";
    OvhSubsidiary["WE"] = "WE";
    OvhSubsidiary["WS"] = "WS";
    OvhSubsidiary["EU"] = "EU";
    OvhSubsidiary["DEFAULT"] = "DEFAULT";
})(OvhSubsidiary || (OvhSubsidiary = {}));
export var CurrencyCode;
(function (CurrencyCode) {
    CurrencyCode["AUD"] = "AUD";
    CurrencyCode["CAD"] = "CAD";
    CurrencyCode["CZK"] = "CZK";
    CurrencyCode["EUR"] = "EUR";
    CurrencyCode["GBP"] = "GBP";
    CurrencyCode["INR"] = "INR";
    CurrencyCode["MAD"] = "MAD";
    CurrencyCode["PLN"] = "PLN";
    CurrencyCode["SGD"] = "SGD";
    CurrencyCode["USD"] = "USD";
    CurrencyCode["TND"] = "TND";
    CurrencyCode["XOF"] = "XOF";
    CurrencyCode["LTL"] = "LTL";
    CurrencyCode["NA"] = "N/A";
    CurrencyCode["points"] = "points";
})(CurrencyCode || (CurrencyCode = {}));
export const OVH_CURRENCY_BY_SUBSIDIARY = {
    ASIA: CurrencyCode.USD,
    AU: CurrencyCode.AUD,
    CA: CurrencyCode.CAD,
    CZ: CurrencyCode.EUR,
    DE: CurrencyCode.EUR,
    ES: CurrencyCode.EUR,
    FI: CurrencyCode.EUR,
    FR: CurrencyCode.EUR,
    GB: CurrencyCode.GBP,
    IE: CurrencyCode.EUR,
    IN: CurrencyCode.INR,
    IT: CurrencyCode.EUR,
    LT: CurrencyCode.EUR,
    MA: CurrencyCode.MAD,
    NL: CurrencyCode.EUR,
    PL: CurrencyCode.PLN,
    PT: CurrencyCode.EUR,
    QC: CurrencyCode.CAD,
    SG: CurrencyCode.SGD,
    SN: CurrencyCode.XOF,
    TN: CurrencyCode.TND,
    EU: CurrencyCode.EUR,
    US: CurrencyCode.USD,
    WE: CurrencyCode.USD,
    WS: CurrencyCode.USD,
    DEFAULT: CurrencyCode.USD,
};
