import { apiClient } from '@ovh-ux/manager-core-api';
export const getResourceServiceIdQueryKey = ({ resourceName = '', }) => [`get/services${resourceName}`];
/**
 * allowedServices operations : List all services allowed in this vrack
 */
export const getResourceServiceId = async ({ resourceName, }) => apiClient.v6.get(`/services${resourceName ? `?resourceName=${resourceName}` : ''}`);
export const getServiceDetails = async (serviceId) => apiClient.v6.get(`/services/${serviceId}`);
