import { PropsWithChildren, RefAttributes, HTMLAttributes } from 'react';
import { OdsButton } from '@ovhcloud/ods-components/react';
import { JSX } from '@ovhcloud/ods-components';
import { StyleReactProps } from '@ovhcloud/ods-components/react/dist/types/react-component-lib/interfaces';
import './translations';
export type ManagerButtonProps = PropsWithChildren<{
    id: string;
    iamActions?: string[];
    urn?: string;
    displayTooltip?: boolean;
    isIamTrigger?: boolean;
    label: string;
}>;
export declare const ManagerButton: ({ id, children, label, iamActions, urn, displayTooltip, isIamTrigger, ...restProps }: ManagerButtonProps & Partial<JSX.OdsButton & Omit<HTMLAttributes<HTMLOdsButtonElement>, 'style' | 'id'> & StyleReactProps & RefAttributes<HTMLOdsButtonElement>>) => import("react/jsx-runtime").JSX.Element;
