import { PropsWithChildren, RefAttributes, HTMLAttributes } from 'react';
import { JSX } from '@ovhcloud/ods-components';
import { OdsText } from '@ovhcloud/ods-components/react';
import { StyleReactProps } from '@ovhcloud/ods-components/react/dist/types/react-component-lib/interfaces';
import './translations';
export type ManagerTextProps = PropsWithChildren<{
    iamActions?: string[];
    urn?: string;
}>;
export declare const ManagerText: ({ children, iamActions, urn, ...restProps }: ManagerTextProps & Partial<JSX.OdsText & Omit<HTMLAttributes<HTMLOdsTextElement>, 'style'> & StyleReactProps & RefAttributes<HTMLOdsTextElement>>) => import("react/jsx-runtime").JSX.Element;
