/// <reference types="react" />
type TProps<Item> = {
    id?: string;
    items?: Item[];
    itemKey?: (item: Item) => string;
    titleElement?: (item: Item, isSelected?: boolean) => JSX.Element | string;
    contentElement?: (item: Item) => JSX.Element;
    mobileBreakPoint?: number;
    className?: string;
    onChange?: (item: Item) => void;
};
export declare function TabsComponent<Item>({ id, items, itemKey, titleElement, contentElement, mobileBreakPoint, className, onChange, }: TProps<Item>): JSX.Element;
export default TabsComponent;
