import { ColumnSort, PaginationState } from '@tanstack/react-table';
/** Use URL search params to store datagrid pagination & column sorting */
export declare const useDatagridSearchParams: (defaultSorting?: ColumnSort) => {
    pagination: PaginationState;
    sorting: ColumnSort;
    setPagination: ({ pageIndex, pageSize }: PaginationState) => void;
    setSorting: ({ id, desc }: ColumnSort) => void;
};
