import { Guide } from '../interface';
type GuideLinks = Record<string, string>;
export declare const PUBLIC_CLOUD_GUIDES: GuideLinks;
export declare const PUBLIC_CLOUD_STORAGE_GUIDES: GuideLinks;
export declare const FIRST_STEPS_WITH_INSTANCES: GuideLinks;
export declare const IP_FAIL_OVER: GuideLinks;
export declare const USER_ROOT_AND_PASSWORD: GuideLinks;
export declare const REVERSE_DNS: GuideLinks;
export declare const FIRST_STEPS_WITH_DATABASES: GuideLinks;
export declare const MONGO_DB_CAPABILITIES_AND_LIMITATIONS: GuideLinks;
export declare const MYSQL_CAPABILITIES_AND_LIMITATIONS: GuideLinks;
export declare const CREATE_A_CLUSTER: GuideLinks;
export declare const DEPLOY_AN_APPLICATION: GuideLinks;
export declare const LOADBALANCER_KUBE: GuideLinks;
export declare const FAQ_MANAGED_PRIVATE_REGISTRY: GuideLinks;
export declare const CREATE_A_MANAGED_PRIVATE_REGISTER: GuideLinks;
export declare const CREATE_AND_USE_A_PRIVATE_IMAGE: GuideLinks;
export declare const DIFFERENCES_BETWEEN_AI_NOTEBOOKS_AI_TRAINING_AI_APPS: GuideLinks;
export declare const AI_APPS_CAPABILITIES_AND_LIMITATIONS: GuideLinks;
export declare const ACCESSING_YOUR_AI_APPS_WITH_TOKENS: GuideLinks;
export declare const PRESENTATION_OF_DATA_PROCESSING: GuideLinks;
export declare const DATA_PROCESSING_CAPABILITIES_AND_LIMITATIONS: GuideLinks;
export declare const SUBMIT_A_JAVA_SCALA_JOB: GuideLinks;
export declare const AI_NOTEBOOKS_STARTUP: GuideLinks;
export declare const AI_NOTEBOOKS_DEFINITION: GuideLinks;
export declare const USING_DATA_FORM_OBJECT_STORAGE: GuideLinks;
export declare const AI_TRAINING_CAPABILITIES_AND_LIMITATIONS: GuideLinks;
export declare const SUBMIT_A_JOB_VIA_THE_USER_INTERFACE: GuideLinks;
export declare const MANAGING_A_CUSTOM_IMAGE: GuideLinks;
export declare const DEPLOYING_A_CUSTOM_MODEL: GuideLinks;
export declare const MODELS_DEFINITION: GuideLinks;
export declare const EXPORTING_A_TENSORFLOW_MODEL: GuideLinks;
export declare const PREFIX_UNIVERSE_NAME = "public-cloud";
export declare const DEFAULT_GUIDES: {
    public_cloud_guides: {
        url: GuideLinks;
        key: string;
        tracking: string;
    };
    first_steps_with_instances: {
        url: GuideLinks;
        key: string;
        tracking: string;
    };
};
export declare const GUIDES_LIST: Record<string, Record<string, Guide>>;
export {};
