export interface ErrorObject {
    status: number;
    data: any;
    headers: any;
}
export interface ErrorMessage {
    message: string;
    status: number;
    detail: any;
}
export declare const TRACKING_LABELS: {
    SERVICE_NOT_FOUND: string;
    UNAUTHORIZED: string;
    PAGE_LOAD: string;
};
export interface ErrorBannerProps {
    error: {
        status?: number;
        data?: any;
        headers?: any;
    };
    onRedirectHome?: () => void;
    onReloadPage?: () => void;
    labelTracking?: string;
}
