export declare enum OvhSubsidiary {
    ASIA = "ASIA",
    AU = "AU",
    CA = "CA",
    CZ = "CZ",
    DE = "DE",
    ES = "ES",
    FI = "FI",
    FR = "FR",
    GB = "GB",
    IE = "IE",
    IN = "IN",
    IT = "IT",
    LT = "LT",
    MA = "MA",
    NL = "NL",
    PL = "PL",
    PT = "PT",
    QC = "QC",
    SG = "SG",
    SN = "SN",
    TN = "TN",
    US = "US",
    WE = "WE",
    WS = "WS",
    EU = "EU",
    DEFAULT = "DEFAULT"
}
export declare enum CurrencyCode {
    AUD = "AUD",
    CAD = "CAD",
    CZK = "CZK",
    EUR = "EUR",
    GBP = "GBP",
    INR = "INR",
    MAD = "MAD",
    PLN = "PLN",
    SGD = "SGD",
    USD = "USD",
    TND = "TND",
    XOF = "XOF",
    LTL = "LTL",
    NA = "N/A",
    points = "points"
}
export declare const OVH_CURRENCY_BY_SUBSIDIARY: Record<OvhSubsidiary, CurrencyCode>;
