export declare const defaultUnknownDateLabel = "N/A";
export declare enum DateFormat {
    /**
     * dd/MM/YYYY
     */
    compact = "compact",
    /**
     * dd abbreviated month YYYY
     */
    display = "display",
    /**
     * dd month YYYY
     */
    fullDisplay = "fullDisplay"
}
export declare const useFormattedDate: ({ dateString, defaultLocale, unknownDateLabel, format, }: {
    dateString: string;
    unknownDateLabel?: string;
    defaultLocale?: string;
    format?: DateFormat;
}) => string;
