export interface Region {
    continentCode: string;
    datacenterLocation: string;
    name: string;
    status: string;
    type: string;
}
export declare const getProjectRegionsQueryKey: (projectId: string) => string[];
export declare const getProjectRegions: (projectId: string) => Promise<Region[]>;
export declare const useProjectRegions: (projectId: string) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<Region[], Error>;
