import { ServiceDetails } from '../services.type';
export type GetResourceServiceIdParams = {
    /** Filter on a specific service family */
    resourceName: string;
};
export declare const getResourceServiceIdQueryKey: ({ resourceName, }: GetResourceServiceIdParams) => string[];
/**
 * allowedServices operations : List all services allowed in this vrack
 */
export declare const getResourceServiceId: ({ resourceName, }: GetResourceServiceIdParams) => Promise<import("axios").AxiosResponse<number[], any>>;
export declare const getServiceDetails: (serviceId: number | string) => Promise<import("axios").AxiosResponse<ServiceDetails, any>>;
