import { ApiError } from '@ovh-ux/manager-core-api';
export type UseTaskParams = {
    resourceUrl: string;
    apiVersion?: 'v2' | 'v6';
    taskId?: number | string;
    queryKey?: string[];
    onSuccess?: () => void;
    onError?: () => void;
    onFinish?: () => void;
    refetchIntervalTime?: number;
};
export declare const getDefaultQueryKey: (taskId: number | string) => (string | number)[];
export declare const useTask: ({ resourceUrl, apiVersion, taskId, queryKey, onSuccess, onError, onFinish, refetchIntervalTime, }: UseTaskParams) => {
    error: ApiError;
    isError: boolean;
    isPending: boolean;
    isSuccess: boolean;
};
