type TRegionService = {
    endpoint: string;
    name: string;
    status: string;
};
export type TRegion = {
    continentCode: string;
    datacenterLocation: string;
    name: string;
    status: string;
    type: string;
    ipCountries: string[];
    services: TRegionService[];
};
export declare const getProjectRegions: (projectId: string) => Promise<TRegion[]>;
export declare const useProjectRegions: (projectId: string) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<TRegion[], Error>;
export declare const useProjectLocalRegions: (projectId: string) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<TRegion[], Error>;
export declare const useProjectNonLocalRegions: (projectId: string) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<TRegion[], Error>;
export {};
