import { MouseEventHandler, KeyboardEvent } from 'react';
/**
 * Assign the function passed to the onClick event handler
 * as welll as the onKeyDown event handler when using the keys Space or Enter
 */
export declare const handleClick: (fn: (ev: Event) => void) => {
    onClick: MouseEventHandler<Element>;
    onKeyDown: (event: KeyboardEvent) => void;
};
export default handleClick;
